Bug 255120 - lang/nim: Upgrade to 1.4.6
Summary: lang/nim: Upgrade to 1.4.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://nim-lang.org/blog/2021/04/15/...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-16 12:01 UTC by Neal Nelson
Modified: 2021-04-17 12:02 UTC (History)
1 user (show)

See Also:


Attachments
Diffs to upgrade port. (777 bytes, patch)
2021-04-16 12:01 UTC, Neal Nelson
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neal Nelson 2021-04-16 12:01:53 UTC
Created attachment 224161 [details]
Diffs to upgrade port.

Upgrade lang/nim to the latest version: 1.4.6.
Comment 1 Fernando Apesteguía freebsd_committer 2021-04-16 12:31:06 UTC
Q/A:  /tmp/255120/lang/nim/pkg-plist: You have defined USE_LDCONFIG, but this port does not install shared objects in the format lib*.so.[0-9] which ldconfig(8) needs to register them in the hints file.

libnimrtl is not a shared object with a proper SONAME. Is USE_LDCONFIG necessary?

Thanks!
Comment 2 Neal Nelson 2021-04-16 13:12:28 UTC
(In reply to Fernando Apesteguía from comment #1)

That's a very good question, and I would say the answer is probably no. I think it got added in at the last major upgrade, which got a bit fraught.
Comment 3 commit-hook freebsd_committer 2021-04-17 11:56:30 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8908c85811513abbb81b94334d7c4ca99e677068

commit 8908c85811513abbb81b94334d7c4ca99e677068
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-16 17:17:28 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-17 11:52:40 +0000

    lang/nim: Upgrade to 1.4.6

    ChangeLog: https://nim-lang.org/blog/2021/04/15/versions-146-and-1212-released.html

    PR:     255120
    Reported by:    ports@nicandneal.net (maintainer)

 lang/nim/Makefile | 3 +--
 lang/nim/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 5 deletions(-)
Comment 4 Fernando Apesteguía freebsd_committer 2021-04-17 12:02:44 UTC
Committed,

Thanks!